Class
MemoryManager
Saves and manages data using IDs.

MemoryManager

MemoryManagerIndex | MemoryManagerPointer

MemoryManager<TValue, Block<size> >
Include Headers
seqan/seeds.h
Parameters

TValue | The value type, that is the type of the items/characters stored in the manager. Remarks: Use Value to get the value type for a given class.
size | A positive integer that specifies the number of values in each allocated block. Remarks: Size has to be a power of 2, e.g., 1024.

Specializations

MemoryManagerIndex | Faster than the pointer version but needs data size of at least size_t.
MemoryManagerPointer | Datasize of at least 4 bytes. Not suitable for many blocks.

Metafunctions

Value | Type of the items in the container.
Value | Type of the items in the container.

Functions

obtainID | btains a new id from the id manager.
releaseID | Releases a given id so it can be redistributed later on.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45